Skip to main content
GET
/
session_analysis
/
metadata
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const metadata = await client.sessionAnalysis.metadata.retrieve();

console.log(metadata.meta);
{
  "record_types": [
    {
      "record_type": "<string>",
      "aliases": [
        "<string>"
      ],
      "product": "<string>",
      "event": "<string>",
      "description": "<string>",
      "child_relationships": [
        {
          "relationship_type": "<string>",
          "via": {
            "local_field": "<string>",
            "parent_field": "<string>"
          },
          "cost_rollup": true,
          "traversal_enabled": true,
          "description": "<string>",
          "child_product": "<string>",
          "child_event": "<string>",
          "child_record_type": "<string>"
        }
      ],
      "parent_relationships": [
        {
          "relationship_type": "<string>",
          "via": {
            "local_field": "<string>",
            "parent_field": "<string>"
          },
          "cost_rollup": true,
          "traversal_enabled": true,
          "description": "<string>",
          "parent_product": "<string>",
          "parent_event": "<string>",
          "parent_record_type": "<string>"
        }
      ]
    }
  ],
  "query_parameters": {},
  "meta": {
    "total_record_types": 123,
    "last_updated": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Metadata overview

record_types
object[]
required
query_parameters
object
required

Map of supported query parameter names to their definitions.

meta
object
required